#
# spec file for package ghc-yaml
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%global pkg_name yaml
%bcond_with tests
Name:           ghc-%{pkg_name}
Version:        0.8.25
Release:        5.1
Summary:        Support for parsing and rendering YAML documents
License:        BSD-3-Clause
Group:          Development/Libraries/Haskell
URL:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
BuildRequires:  chrpath
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-aeson-devel
BuildRequires:  ghc-attoparsec-devel
BuildRequires:  ghc-bytestring-devel
BuildRequires:  ghc-conduit-devel
BuildRequires:  ghc-containers-devel
BuildRequires:  ghc-directory-devel
BuildRequires:  ghc-filepath-devel
BuildRequires:  ghc-resourcet-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-scientific-devel
BuildRequires:  ghc-semigroups-devel
BuildRequires:  ghc-template-haskell-devel
BuildRequires:  ghc-text-devel
BuildRequires:  ghc-transformers-devel
BuildRequires:  ghc-unordered-containers-devel
BuildRequires:  ghc-vector-devel
%if %{with tests}
BuildRequires:  ghc-HUnit-devel
BuildRequires:  ghc-aeson-qq-devel
BuildRequires:  ghc-base-compat-devel
BuildRequires:  ghc-hspec-devel
BuildRequires:  ghc-mockery-devel
BuildRequires:  ghc-temporary-devel
%endif

%description
Support for parsing and rendering YAML documents.

%package devel
Summary:        Haskell %{pkg_name} library development files
Group:          Development/Libraries/Haskell
Requires:       %{name} = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}

%description devel
This package provides the Haskell %{pkg_name} library development files.

%prep
%setup -q -n %{pkg_name}-%{version}

%build
%ghc_lib_build

%install
%ghc_lib_install
%ghc_fix_rpath %{pkg_name}-%{version}

%check
%cabal_test

%post devel
%ghc_pkg_recache

%postun devel
%ghc_pkg_recache

%files -f %{name}.files
%doc LICENSE
%{_bindir}/json2yaml
%{_bindir}/yaml2json

%files devel -f %{name}-devel.files
%doc ChangeLog.md README.md examples

%changelog
* Sun Nov 19 2017 psimons@suse.com
- Update to version 0.8.25.
  A more detailed change log is not available.
* Mon Nov  6 2017 psimons@suse.com
- Update to version 0.8.24.
  A more detailed change log is not available.
* Thu Aug  3 2017 psimons@suse.com
- Updated with latest spec-cleaner version 0.9.8-8-geadfbbf.
* Mon Jul 17 2017 psimons@suse.com
- Update to version 0.8.23.3.
* Mon Jun 19 2017 psimons@suse.com
- Update to version 0.8.23.1.
* Wed May 31 2017 psimons@suse.com
- Update to version 0.8.23.
* Thu May 18 2017 psimons@suse.com
- Update to version 0.8.22.1 with cabal2obs.
* Mon Feb 27 2017 psimons@suse.com
- Update to version 0.8.22 with cabal2obs.
* Mon Jan 30 2017 psimons@suse.com
- Update to version 0.8.21.2 with cabal2obs.
* Sun Dec  4 2016 psimons@suse.com
- Update to version 0.8.21.1 with cabal2obs.
* Thu Oct 27 2016 psimons@suse.com
- Update to version 0.8.20 with cabal2obs.
* Mon Sep 26 2016 psimons@suse.com
- Update to version 0.8.18.7 with cabal2obs.
* Thu Sep 15 2016 psimons@suse.com
- Update to version 0.8.18.6 revision 0 with cabal2obs.
* Fri Jul 22 2016 psimons@suse.com
- Update to version 0.8.18.1 revision 0 with cabal2obs.
* Sun Jul 10 2016 psimons@suse.com
- Update to version 0.8.18 revision 0 with cabal2obs.
* Mon Jun 27 2016 mimi.vx@gmail.com
- update to 0.8.18
  * Switched yaml decode function for config file readers in Data.Yaml.Config
    to the one from Data.Yaml.Include that supports !include syntax.
* Fri Jun 10 2016 mimi.vx@gmail.com
- update to 0.8.17.2
  * Fix pretty-printing order of UnexpectedEvent's fields
* Sat Apr 16 2016 mimi.vx@gmail.com
- update to 0.8.17.1
  * workaround for Cabal bug
* Tue Apr 12 2016 mimi.vx@gmail.com
- update to 0.8.17
  * loadYamlSettingsArgs
* Tue Feb 16 2016 mimi.vx@gmail.com
- update to 0.8.16
  * Add env variable parsing. loadYamlSettings can read config values from the
    environment with Yaml that specifies an env var. The syntax is
    var: _env:ENV_VAR:default
* Wed Jan 20 2016 mimi.vx@gmail.com
- update to 0.8.15.3
  * Give a warning when compiling with GHCJS
* Mon Dec  7 2015 mimi.vx@gmail.com
- update to 0.8.15.2
  * Canonicalise Monad instances
* Sun Sep 13 2015 mimi.vx@gmail.com
- update to 0.8.15.1
  * Parse Scientific directly, avoiding loss in precision.
* Mon Aug 31 2015 mimi.vx@gmail.com
- update to 0.8.14
  * Pretty print improvements for exceptions
* Sun Aug 16 2015 mimi.vx@gmail.com
- update 0.8.13
  * Pretty module
* Mon Jul 27 2015 mimi.vx@gmail.com
- update to 0.8.12
  * Proper handling of String "+123"
* Tue Apr 28 2015 mimi.vx@gmail.com
- change libyaml deps from pkgconfig to direct libyaml-devel for SLE12 support
* Mon Apr 27 2015 mimi.vx@gmail.com
- update to 0.8.11
  * Function to print prettier parse exceptions [#59](https://github.com/snoyberg/yaml/pull/59)
* Wed Feb 25 2015 mpluskal@suse.com
- Update to 0.8.10.1:
  * Add the Data.Yaml.Include module
* Thu Oct 17 2013 peter.trommler@ohm-hochschule.de
- build against system libyaml
* Wed Oct  9 2013 sbahling@suse.com
- add %%defattr(-,root,root,-) to devel files
* Sun Oct  6 2013 sbahling@suse.com
- Initial build version 0.8.5
